> For the complete documentation index, see [llms.txt](https://docs.super-forms.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.super-forms.com/developers/code-examples/dropdown-with-groups-categories.md).

# Dropdown with groups (categories)

In the below JavaScript code simply change `field_name` to the dropdown field name, and add or edit `red1`, `blue1`, `green1` with the first item that should belong to the group. If you have multiple dropdowns you can extend the `groups` object.

You can copy paste this code under **Super Forms > Settings > Custom JS**.

```javascript
var groups = {
    field_name: {
        red1: 'Red colors:',
        blue1: 'Blue colors:',
        green1: 'Green colors:'
    },
    //another_dropdown_field: {
    //    value1: 'First group:',
    //    value2: 'Second group:',
    //    value3: 'Third group:'
    //}
};
Object.keys(groups).forEach(function(fieldName){
    var field = document.querySelector('.super-field input[name="'+fieldName+'"]'); if(!field) return;
    var list = field.parentNode.querySelector('.super-dropdown-list'); if(!list) return;
    Object.keys(groups[fieldName]).forEach(function(dropdownValue){
        var node = document.createElement('strong'),
            item = document.querySelector('li[data-value="'+dropdownValue+'"]');
        node.style.width = '100%';node.style.display = 'inline-block'; node.style.padding = '5px 0px 5px 3px';
        node.innerText = groups[fieldName][dropdownValue];
        item.parentNode.insertBefore(node, item);
    });
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.super-forms.com/developers/code-examples/dropdown-with-groups-categories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
